MagicNames (Apache Ant API)
Description: declaration: package: org.apache.tools.ant, class: MagicNames

Package org.apache.tools.ant

# Class MagicNames

java.lang.Object
org.apache.tools.ant.MagicNames

    public final class MagicNames
    extends java.lang.Object

Magic names used within Ant. Not all magic names are here yet.

Since:
  Ant 1.6

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ANT_EXECUTOR_CLASSNAME` | Property defining the classname of an executor.
  `static java.lang.String` | `ANT_EXECUTOR_REFERENCE` | Reference to the current Ant executor.
  `static java.lang.String` | `ANT_FILE` | property for ant file name.
  `static java.lang.String` | `ANT_FILE_TYPE` | property for type of ant build file (either file or url) Value: "ant.file.type"
  `static java.lang.String` | `ANT_FILE_TYPE_FILE` | ant build file of type file Value: "file"
  `static java.lang.String` | `ANT_FILE_TYPE_URL` | ant build file of type url Value: "url"
  `static java.lang.String` | `ANT_HOME` | Property used to store the location of ant.
  `static java.lang.String` | `ANT_JAVA_VERSION` | Property used to store the java version ant is running in.
  `static java.lang.String` | `ANT_LIB` | Property used to store the location of the ant library (typically the ant.jar file.) Value: "ant.core.lib"
  `static java.lang.String` | `ANT_SHELL_LAUNCHER_REF_ID` | Name of the project reference holding an instance of `CommandLauncher` to use when executing commands with the help of an external script.
  `static java.lang.String` | `ANT_VERSION` | Ant version property.
  `static java.lang.String` | `ANT_VM_LAUNCHER_REF_ID` | Name of the project reference holding an instance of `CommandLauncher` to use when executing commands without the help of an external script.
  `static java.lang.String` | `ANTLIB_PREFIX` | prefix for antlib URIs: "antlib:"
  `static java.lang.String` | `ATTRIBUTE_NAMESPACE` | Name of the namespace "type".
  `static java.lang.String` | `BUILD_JAVAC_SOURCE` | property that provides the default value for javac's and javadoc's source attribute.
  `static java.lang.String` | `BUILD_JAVAC_TARGET` | property that provides the default value for javac's target attribute.
  `static java.lang.String` | `BUILD_SYSCLASSPATH` | System classpath policy.
  `static java.lang.String` | `HTTP_AGENT_PROPERTY` | Name of the property which can provide an override of the User-Agent used in <get> tasks.
  `static java.lang.String` | `PROJECT_BASEDIR` | property name for basedir of the project.
  `static java.lang.String` | `PROJECT_DEFAULT_TARGET` | Name of the property holding the default target of the currently executing project, if one has been specified.
  `static java.lang.String` | `PROJECT_HELPER_CLASS` | Name of JVM system property which provides the name of the ProjectHelper class to use.
  `static java.lang.String` | `PROJECT_HELPER_SERVICE` | The service identifier in jars which provide ProjectHelper implementations.
  `static java.lang.String` | `PROJECT_INVOKED_TARGETS` | Name of the property holding a comma separated list of targets that have been invoked (from the command line).
  `static java.lang.String` | `PROJECT_NAME` | Name of the property holding the name of the currently executing project, if one has been specified.
  `static java.lang.String` | `REFID_CLASSPATH_LOADER_PREFIX` | Prefix used to store classloader references.
  `static java.lang.String` | `REFID_CLASSPATH_REUSE_LOADER` | Name of the magic property that controls classloader reuse.
  `static java.lang.String` | `REFID_LOCAL_PROPERTIES` | Reference used to store the local properties.
  `static java.lang.String` | `REFID_PROJECT_HELPER` | Name of ProjectHelper reference that we add to a project.
  `static java.lang.String` | `REFID_PROPERTY_HELPER` | Reference used to store the property helper.
  `static java.lang.String` | `REGEXP_IMPL` | property for regular expression implementation.
  `static java.lang.String` | `REPOSITORY_DIR_PROPERTY` | Name of the property which can provide an override of the repository dir.
  `static java.lang.String` | `REPOSITORY_URL_PROPERTY` | Name of the property which can provide an override of the repository URL.
  `static java.lang.String` | `SCRIPT_CACHE` | The name of the script cache used by the script runner.
  `static java.lang.String` | `SCRIPT_REPOSITORY` | The name of the script repository used by the script repo task.
  `static java.lang.String` | `SYSTEM_LOADER_REF` | The name of the reference to the System Class Loader.
  `static java.lang.String` | `TASKDEF_PROPERTIES_RESOURCE` | name of the resource that taskdefs are stored under.
  `static java.lang.String` | `TMPDIR` | Magic property that can be set to override the java.io.tmpdir system property as the location for Ant's default temporary directory.
  `static java.lang.String` | `TSTAMP_NOW` | Magic property that can be set to contain a value for tstamp's "now" in order to make builds that use the task create reproducible results.
  `static java.lang.String` | `TSTAMP_NOW_ISO` | Magic property that can be set to contain a value for tstamp's "now" in order to make builds that use the task create reproducible results.
  `static java.lang.String` | `TYPEDEFS_PROPERTIES_RESOURCE` | name of the resource that typedefs are stored under.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANTLIB_PREFIX

    public static final java.lang.String ANTLIB_PREFIX
    prefix for antlib URIs: "antlib:"
    See Also:
      Constant Field Values

  - ### ANT_VERSION

    public static final java.lang.String ANT_VERSION
    Ant version property. Value: "ant.version"
    See Also:
      Constant Field Values

  - ### BUILD_SYSCLASSPATH

    public static final java.lang.String BUILD_SYSCLASSPATH
    System classpath policy. Value: "build.sysclasspath"
    See Also:
      Constant Field Values

  - ### SCRIPT_REPOSITORY

    public static final java.lang.String SCRIPT_REPOSITORY
    The name of the script repository used by the script repo task. Value "org.apache.ant.scriptrepo"
    See Also:
      Constant Field Values

  - ### SCRIPT_CACHE

    public static final java.lang.String SCRIPT_CACHE
    The name of the script cache used by the script runner. Value "org.apache.ant.scriptcache"
    See Also:
      Constant Field Values

  - ### SYSTEM_LOADER_REF

    public static final java.lang.String SYSTEM_LOADER_REF
    The name of the reference to the System Class Loader. Value "ant.coreLoader"
    See Also:
      Constant Field Values

  - ### REPOSITORY_DIR_PROPERTY

    public static final java.lang.String REPOSITORY_DIR_PROPERTY
    Name of the property which can provide an override of the repository dir. for the libraries task Value "ant.maven.repository.dir"
    See Also:
      Constant Field Values

  - ### REPOSITORY_URL_PROPERTY

    public static final java.lang.String REPOSITORY_URL_PROPERTY
    Name of the property which can provide an override of the repository URL. for the libraries task Value "ant.maven.repository.url"
    See Also:
      Constant Field Values

  - ### TASKDEF_PROPERTIES_RESOURCE

    public static final java.lang.String TASKDEF_PROPERTIES_RESOURCE
    name of the resource that taskdefs are stored under. Value: "/org/apache/tools/ant/taskdefs/defaults.properties"
    See Also:
      Constant Field Values

  - ### TYPEDEFS_PROPERTIES_RESOURCE

    public static final java.lang.String TYPEDEFS_PROPERTIES_RESOURCE
    name of the resource that typedefs are stored under. Value: "/org/apache/tools/ant/types/defaults.properties"
    See Also:
      Constant Field Values

  - ### ANT_EXECUTOR_REFERENCE

    public static final java.lang.String ANT_EXECUTOR_REFERENCE
    Reference to the current Ant executor. Value: "ant.executor"
    See Also:
      Constant Field Values

  - ### ANT_EXECUTOR_CLASSNAME

    public static final java.lang.String ANT_EXECUTOR_CLASSNAME
    Property defining the classname of an executor. Value: "ant.executor.class"
    See Also:
      Constant Field Values

  - ### PROJECT_BASEDIR

    public static final java.lang.String PROJECT_BASEDIR
    property name for basedir of the project. Value: "basedir"
    See Also:
      Constant Field Values

  - ### ANT_FILE

    public static final java.lang.String ANT_FILE
    property for ant file name. Value: "ant.file"
    See Also:
      Constant Field Values

  - ### ANT_FILE_TYPE

    public static final java.lang.String ANT_FILE_TYPE
    property for type of ant build file (either file or url) Value: "ant.file.type"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### ANT_FILE_TYPE_FILE

    public static final java.lang.String ANT_FILE_TYPE_FILE
    ant build file of type file Value: "file"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### ANT_FILE_TYPE_URL

    public static final java.lang.String ANT_FILE_TYPE_URL
    ant build file of type url Value: "url"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### ANT_JAVA_VERSION

    public static final java.lang.String ANT_JAVA_VERSION
    Property used to store the java version ant is running in. Value: "ant.java.version"
    Since:
      Ant 1.7
    See Also:
      Constant Field Values

  - ### ANT_HOME

    public static final java.lang.String ANT_HOME
    Property used to store the location of ant. Value: "ant.home"
    Since:
      Ant 1.7
    See Also:
      Constant Field Values

  - ### ANT_LIB

    public static final java.lang.String ANT_LIB
    Property used to store the location of the ant library (typically the ant.jar file.) Value: "ant.core.lib"
    Since:
      Ant 1.7
    See Also:
      Constant Field Values

  - ### REGEXP_IMPL

    public static final java.lang.String REGEXP_IMPL
    property for regular expression implementation. Value: "ant.regexp.regexpimpl"
    See Also:
      Constant Field Values

  - ### BUILD_JAVAC_SOURCE

    public static final java.lang.String BUILD_JAVAC_SOURCE
    property that provides the default value for javac's and javadoc's source attribute. Value: "ant.build.javac.source"
    Since:
      Ant 1.7
    See Also:
      Constant Field Values

  - ### BUILD_JAVAC_TARGET

    public static final java.lang.String BUILD_JAVAC_TARGET
    property that provides the default value for javac's target attribute. Value: "ant.build.javac.target"
    Since:
      Ant 1.7
    See Also:
      Constant Field Values

  - ### REFID_CLASSPATH_REUSE_LOADER

    public static final java.lang.String REFID_CLASSPATH_REUSE_LOADER
    Name of the magic property that controls classloader reuse. Value: "ant.reuse.loader"
    Since:
      Ant 1.4.
    See Also:
      Constant Field Values

  - ### REFID_CLASSPATH_LOADER_PREFIX

    public static final java.lang.String REFID_CLASSPATH_LOADER_PREFIX
    Prefix used to store classloader references. Value: "ant.loader."
    See Also:
      Constant Field Values

  - ### REFID_PROPERTY_HELPER

    public static final java.lang.String REFID_PROPERTY_HELPER
    Reference used to store the property helper. Value: "ant.PropertyHelper"
    See Also:
      Constant Field Values

  - ### REFID_LOCAL_PROPERTIES

    public static final java.lang.String REFID_LOCAL_PROPERTIES
    Reference used to store the local properties. Value: "ant.LocalProperties"
    See Also:
      Constant Field Values

  - ### PROJECT_HELPER_CLASS

    public static final java.lang.String PROJECT_HELPER_CLASS
    Name of JVM system property which provides the name of the ProjectHelper class to use. Value: "org.apache.tools.ant.ProjectHelper"
    See Also:
      Constant Field Values

  - ### PROJECT_HELPER_SERVICE

    public static final java.lang.String PROJECT_HELPER_SERVICE
    The service identifier in jars which provide ProjectHelper implementations. Value: "META-INF/services/org.apache.tools.ant.ProjectHelper"
    See Also:
      Constant Field Values

  - ### REFID_PROJECT_HELPER

    public static final java.lang.String REFID_PROJECT_HELPER
    Name of ProjectHelper reference that we add to a project. Value: "ant.projectHelper"
    See Also:
      Constant Field Values

  - ### PROJECT_NAME

    public static final java.lang.String PROJECT_NAME
    Name of the property holding the name of the currently executing project, if one has been specified. Value: "ant.project.name"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### PROJECT_DEFAULT_TARGET

    public static final java.lang.String PROJECT_DEFAULT_TARGET
    Name of the property holding the default target of the currently executing project, if one has been specified. Value: "ant.project.default-target"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### PROJECT_INVOKED_TARGETS

    public static final java.lang.String PROJECT_INVOKED_TARGETS
    Name of the property holding a comma separated list of targets that have been invoked (from the command line). Value: "ant.project.invoked-targets"
    Since:
      Ant 1.8.0
    See Also:
      Constant Field Values

  - ### ANT_SHELL_LAUNCHER_REF_ID

    public static final java.lang.String ANT_SHELL_LAUNCHER_REF_ID
    Name of the project reference holding an instance of `CommandLauncher` to use when executing commands with the help of an external script.

    Alternatively this is the name of a system property holding the fully qualified class name of a `CommandLauncher`.

    Value: "ant.shellLauncher"
    Since:
      Ant 1.9.0
    See Also:
      Constant Field Values

  - ### ANT_VM_LAUNCHER_REF_ID

    public static final java.lang.String ANT_VM_LAUNCHER_REF_ID
    Name of the project reference holding an instance of `CommandLauncher` to use when executing commands without the help of an external script.

    Alternatively this is the name of a system property holding the fully qualified class name of a `CommandLauncher`.

    Value: "ant.vmLauncher"
    Since:
      Ant 1.9.0
    See Also:
      Constant Field Values

  - ### ATTRIBUTE_NAMESPACE

    public static final java.lang.String ATTRIBUTE_NAMESPACE
    Name of the namespace "type". (Note: cannot be used as an element.)
    Since:
      Ant 1.9.1
    See Also:
      Constant Field Values

  - ### HTTP_AGENT_PROPERTY

    public static final java.lang.String HTTP_AGENT_PROPERTY
    Name of the property which can provide an override of the User-Agent used in <get> tasks. Value "ant.http.agent"
    See Also:
      Constant Field Values

  - ### TSTAMP_NOW

    public static final java.lang.String TSTAMP_NOW
    Magic property that can be set to contain a value for tstamp's "now" in order to make builds that use the task create reproducible results.

    The value is expected to be a number representing the date as seconds since the epoch.

    Value: "ant.tstamp.now"
    Since:
      Ant 1.10.2
    See Also:
      Constant Field Values

  - ### TSTAMP_NOW_ISO

    public static final java.lang.String TSTAMP_NOW_ISO
    Magic property that can be set to contain a value for tstamp's "now" in order to make builds that use the task create reproducible results.

    The value is expected to be in ISO time format (1972-04-17T08:07)

    Value: "ant.tstamp.now.iso"
    Since:
      Ant 1.10.2
    See Also:
      Constant Field Values

  - ### TMPDIR

    public static final java.lang.String TMPDIR
    Magic property that can be set to override the java.io.tmpdir system property as the location for Ant's default temporary directory. Value: "ant.tmpdir"
    Since:
      Ant 1.10.8
    See Also:
      Constant Field Values